//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HealthcareSoft.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class WorkingShift
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public WorkingShift()
        {
            this.DoctorShifts = new HashSet<DoctorShift>();
        }
    
        public long Id { get; set; }
        public int WeekId { get; set; }
        public System.DateTime ShiftStart { get; set; }
        public System.DateTime ShifhtEnd { get; set; }
        public long Createdby { get; set; }
        public System.DateTime CreatedOn { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DoctorShift> DoctorShifts { get; set; }
        public virtual UserProfile UserProfile { get; set; }
        public virtual Week Week { get; set; }
    }
}
